Subject: RE: TeX implementations?
From: [email-masked] ("Mu, Paul SLC")

31 Oct 1996 14:51:36 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: gnu-win32 <[email-masked]>,
        gnu-win32-owner <[email-masked]>
Encoding: 57 TEXT
X-Mailer: Microsoft Mail V3.0
Original-Sender: [email-masked]

Mstools  in Aug has a Posix SDK, with the source coming with resource   
kit, I am only able to port  head, tail, cal from SVR4 without
any code modification. Yacc and diff can be compiled well if  gettxt and   
mktemp is rewritten. Gettxt is used to handle Locale in SVR4.  For some   
reason, when running yacc in NT4.0, it give me a memory fault. I have not   
figure out how to debug posix  system
in NT 4.0.
I think that's all the limit I can go in terms of Posix API. No   
networking, no shared memory , no GUI.  If I had the source or some
information more about its posix kernel, I would like to write a device   
driver to do all the communication between  Win32 Kernel
and Posix.

The answer is no to use Posix unless you need no more resource than yacc   
does.

Thanks.
Paul

 ----------
From:  gnu-win32-owner[SMTP:[email-masked]]
Sent:  Tuesday, October 29, 1996 10:53 AM
To:  gnu-win32
Subject:  Re: TeX implementations?

Colin Peters <[email-masked]> wrote...

> Making NT look like UNIX is a tough job.

I'm sorry if this is a dumb or naive question, but isn't there a   
difference
between making NT look like Unix by talking to the win32 API and making   
NT
look
like Unix by talking to the POSIX API.

I apologize if I've been mislead about the NT kernal by MicroSoft   
Propaganda,
but if this POSIX API works right shouldn't it be relatively easy to talk   
to
it.
I understood that one of the points of NT was the multiple API   
structures...

GG

 --
Graham Giller
Morgan Stanley & Co. Inc.
1585, Broadway,
New York NY 10036

Phone (212) 761 4924 Fax (212) 761 0129
 -
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".